JavaScript/jQuery LoadPanel - Customize the Loading Indicator

If you need to use a 3rd-party loading indicator inside the LoadPanel, assign its URL to the indicatorSrc property.

JavaScript
  • $(function() {
  • $("#loadPanelContainer").dxLoadPanel({
  • hideOnOutsideClick: true,
  • indicatorSrc: "https://js.devexpress.com/Content/data/loadingIcons/rolling.svg"
  • });
  •  
  • $("#buttonContainer").dxButton({
  • text: "Show the Load Panel",
  • onClick: function () {
  • $("#loadPanelContainer").dxLoadPanel("show");
  • }
  • });
  • });

In case you do not need any loading indicator to be shown at all, assign false to the showIndicator property.

JavaScript
  • $(function() {
  • $("#loadPanelContainer").dxLoadPanel({
  • hideOnOutsideClick: true,
  • showIndicator: false
  • });
  •  
  • $("#buttonContainer").dxButton({
  • text: "Show the Load Panel",
  • onClick: function () {
  • $("#loadPanelContainer").dxLoadPanel("show");
  • }
  • });
  • });
See Also

React LoadPanel - Customize the Loading Indicator

If you need to use a 3rd-party loading indicator inside the LoadPanel, assign its URL to the indicatorSrc property.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { LoadPanel } from 'devextreme-react/load-panel';
  • import { Button } from 'devextreme-react/button';
  •  
  • const indicatorUrl = "https://js.devexpress.com/Content/data/loadingIcons/rolling.svg";
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.state = {
  • isLoadPanelVisible: false
  • };
  •  
  • this.handleClick = this.handleClick.bind(this);
  • this.handleHide = this.handleHide.bind(this);
  • }
  •  
  • handleClick() {
  • this.setState({
  • isLoadPanelVisible: true
  • });
  • }
  •  
  • handleHide() {
  • this.setState({
  • isLoadPanelVisible: false
  • });
  • }
  •  
  • render() {
  • return (
  • <div>
  • <LoadPanel
  • hideOnOutsideClick={true}
  • indicatorSrc={indicatorUrl}
  • visible={this.state.isLoadPanelVisible}
  • onHidden={this.handleHide}
  • />
  • <Button
  • text="Show the Load Panel"
  • onClick={this.handleClick}
  • />
  • </div>
  • );
  • }
  • }
  •  
  • export default App;

In case you do not need any loading indicator to be shown at all, assign false to the showIndicator property.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { LoadPanel } from 'devextreme-react/load-panel';
  • import { Button } from 'devextreme-react/button';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.state = {
  • isLoadPanelVisible: false
  • };
  •  
  • this.handleClick = this.handleClick.bind(this);
  • this.handleHide = this.handleHide.bind(this);
  • }
  •  
  • handleClick() {
  • this.setState({
  • isLoadPanelVisible: true
  • });
  • }
  •  
  • handleHide() {
  • this.setState({
  • isLoadPanelVisible: false
  • });
  • }
  •  
  • render() {
  • return (
  • <div>
  • <LoadPanel
  • hideOnOutsideClick={true}
  • showIndicator={false}
  • visible={this.state.isLoadPanelVisible}
  • onHidden={this.handleHide}
  • />
  • <Button
  • text="Show the Load Panel"
  • onClick={this.handleClick}
  • />
  • </div>
  • );
  • }
  • }
  •  
  • export default App;
See Also

Vue LoadPanel - Customize the Loading Indicator

If you need to use a 3rd-party loading indicator inside the LoadPanel, assign its URL to the indicatorSrc property.

  • <template>
  • <div>
  • <DxLoadPanel
  • :hide-on-outside-click="true"
  • v-model:visible="isLoadPanelVisible"
  • :indicator-src="indicatorUrl"
  • />
  • <DxButton
  • text="Show the Load Panel"
  • @click="handleClick"
  • />
  • </div>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxLoadPanel } from 'devextreme-vue/load-panel';
  • import { DxButton } from 'devextreme-vue/button';
  •  
  • export default {
  • components: {
  • DxLoadPanel,
  • DxButton
  • },
  • data() {
  • return {
  • indicatorUrl: "https://js.devexpress.com/Content/data/loadingIcons/rolling.svg",
  • isLoadPanelVisible: false
  • }
  • },
  • methods: {
  • handleClick() {
  • this.isLoadPanelVisible = true;
  • }
  • }
  • }
  • </script>

In case you do not need any loading indicator to be shown at all, assign false to the showIndicator property.

  • <template>
  • <div>
  • <DxLoadPanel
  • :hide-on-outside-click="true"
  • v-model:visible="isLoadPanelVisible"
  • :show-indicator="false"
  • />
  • <DxButton
  • text="Show the Load Panel"
  • @click="handleClick"
  • />
  • </div>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxLoadPanel } from 'devextreme-vue/load-panel';
  • import { DxButton } from 'devextreme-vue/button';
  •  
  • export default {
  • components: {
  • DxLoadPanel,
  • DxButton
  • },
  • data() {
  • return {
  • isLoadPanelVisible: false
  • }
  • },
  • methods: {
  • handleClick() {
  • this.isLoadPanelVisible = true;
  • }
  • }
  • }
  • </script>
See Also

Angular LoadPanel - Customize the Loading Indicator

If you need to use a 3rd-party loading indicator inside the LoadPanel, assign its URL to the indicatorSrc property.

HTML
TypeScript
  • <dx-load-panel
  • [hideOnOutsideClick]="true"
  • [(visible)]="isLoadPanelVisible"
  • [indicatorSrc]="indicatorUrl">
  • </dx-load-panel>
  • <dx-button
  • text="Show the Load Panel"
  • (onClick)="isLoadPanelVisible = true">
  • </dx-button>
  • import { DxLoadPanelModule, DxButtonModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • isLoadPanelVisible: boolean = false;
  • indicatorUrl: string = "https://js.devexpress.com/Content/data/loadingIcons/rolling.svg";
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxLoadPanelModule,
  • DxButtonModule
  • ],
  • // ...
  • })

In case you do not need any loading indicator to be shown at all, assign false to the showIndicator property.

HTML
TypeScript
  • <dx-load-panel
  • [hideOnOutsideClick]="true"
  • [(visible)]="isLoadPanelVisible"
  • [showIndicator]="false">
  • </dx-load-panel>
  • <dx-button
  • text="Show the Load Panel"
  • (onClick)="isLoadPanelVisible = true">
  • </dx-button>
  • import { DxLoadPanelModule, DxButtonModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • isLoadPanelVisible: boolean = false;
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxLoadPanelModule,
  • DxButtonModule
  • ],
  • // ...
  • })
See Also